POST
Unlock session
Unlocks the current user session, enabling operations that require
an unlocked token, such as sending a transaction. Call this endpoint
if an API returns a 401 response with the needsUnlock
body parameter set to true.
Note: Unlocking a token with spending limits, removes all spending limits from the token.
Body Params
object
-
durationintegerNumber of seconds that the session will stay unlocked -
otpstringSecond factor authentication token
Responses
200
OK
Response Body
object
-
sessionobjectsession object
-
createdstring date-time required -
expiresstring date-time required -
idstring required -
ipstring ipv4IP address of the client that requested this access token -
ipRestrictarray of stringsIP addresses or CIDR block of clients that are allowed to use this token -
originstring requiredBitGo environment that issued this token -
scopearray of strings requiredSession permissions -
unlockobjectThe Unlock object, returned if this session is currently unlocked.unlock object
-
timestring date-time -
expiresstring date-time -
txCountinteger -
txValueinteger -
txValueLimitnumber -
spendingLimitsmap of objectsspendingLimits object
-
<key>objectvalue object
-
txCountinteger -
txValueinteger -
txValueLimitnumber
-
-
-
-
userstring required
-